public void start(){
  //Start all of the racing threads.
  for (int x=0;x<racerCount;x++)
   // start() will call the run() method.
   theThreads[x].start();

//Create a thread of our own. We will use this to monitor the state of
  //the racers and determine when we should quit altogether.
  thisThread= new Thread (this);
  thisThread.start();
}
